package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.product.AccessFlow;

import java.util.List;

/**
 *  接口
 * @author Administrator
 * @Date 2018-07-18
 */
public interface AccessFlowMapper {
    /**
     * 获取集合
     * @param  accessFlow
     * @return List
     */
    List<AccessFlow> getAccessFlowList(AccessFlow  accessFlow);
    /**
     * 查询单条数据
     * @param  id
     * @return  accessFlow
     */
    AccessFlow  getAccessFlowById(Integer  id);
    /**
     * 增加数据
     * @param  accessFlow
     * @return Integer
     */
    Integer  save(AccessFlow  accessFlow);
    /**
     * 修改数据
     * @param  accessFlow
     * @return Integer
     */
    Integer  update(AccessFlow  accessFlow);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
}